com.verisign.epp.codec.rgpext

## Class EPPRgpExtReport

- java.lang.Object
- - com.verisign.epp.codec.rgpext.EPPRgpExtReport

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRgpExtReport
      extends java.lang.Object
      implements EPPCodecComponent

  The EPPRgpExtReport is the EPPCodecComponent that knows how to encode and decode RGP report elements from/to XML and object instance.

  Title: EPP 1.0 RGP

  Description: RGP Extension to the EPP SDK

  Copyright: Copyright (c) 2004

  Company: VeriSign

  Version:
    1.0
  Author:
    clloyd
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_DEL_TIME` Element tag name for the delTime element
    `static java.lang.String` | `ELM_NAME` Element tag name for the report
    `static java.lang.String` | `ELM_OTHER` Element tag name for the other element
    `static java.lang.String` | `ELM_POST_DATA` Element tag name for the postData Element
    `static java.lang.String` | `ELM_POST_WHOIS` Deprecated. Use `ELM_POST_DATA`
    `static java.lang.String` | `ELM_PRE_DATA` Element tag name for the preData element
    `static java.lang.String` | `ELM_PRE_WHOIS` Deprecated. Use `ELM_PRE_DATA`
    `static java.lang.String` | `ELM_RES_TIME` Element tag name for the resTime element

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRgpExtReport()` Instantiate a new instance of the EPPCodecComponent EPPRgpExtReport
    `EPPRgpExtReport(java.lang.String aPreData, java.lang.String aPostData, java.util.Date aDeleteTime, java.util.Date aRestoreTime, EPPRgpExtReportText aRestoreReason, EPPRgpExtReportText aStatement1)` Creates `EPPRgpExtReport` with required attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRgpExtReport`.
    `void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Attach all data to the DOM Document passed in.
    `boolean` | `equals(java.lang.Object aObject)` Implements a deep `EPPRgpExtReport/code> compare.`
    `java.util.Date` | `getDeleteTime()` Get the deleteTime value
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getOther()` Get the other value (optional)
    `java.lang.String` | `getPostData()` get the postData value
    `java.lang.String` | `getPostWhois()` Deprecated. Use `getPostData()`
    `java.lang.String` | `getPreData()` Gets the preWhois value
    `java.lang.String` | `getPreWhois()` Deprecated. Use `getPreData()`
    `EPPRgpExtReportText` | `getRestoreReason()` Get the restoreReason value
    `java.util.Date` | `getRestoreTime()` Get the restoreTime value
    `EPPRgpExtReportText` | `getStatement1()` get the statement1 value
    `EPPRgpExtReportText` | `getStatement2()` get the statement2 value
    `void` | `setDeleteTime(java.util.Date deleteTime)` Set the deleteTime value
    `void` | `setOther(java.lang.String other)` Set the other value on this instance
    `void` | `setPostData(java.lang.String aPostData)` Set the postWhois value
    `void` | `setPostWhois(java.lang.String postWhois)` Deprecated. Use `setPostData(String)`
    `void` | `setPreData(java.lang.String aPreData)` Set the preWhois value
    `void` | `setPreWhois(java.lang.String preWhois)` Deprecated. Use `setPreWhois(String)`
    `void` | `setRestoreReason(EPPRgpExtReportText restoreReason)` Set the restoreReason value
    `void` | `setRestoreTime(java.util.Date restoreTime)` Set the restoreTime value
    `void` | `setStatement1(EPPRgpExtReportText statement1)` Set the statement1 value
    `void` | `setStatement2(EPPRgpExtReportText statement2)` Set the statement 2 value.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Element tag name for the report
      See Also:
        Constant Field Values

    - #### ELM_PRE_DATA

          public static final java.lang.String ELM_PRE_DATA

      Element tag name for the preData element
      See Also:
        Constant Field Values

    - #### ELM_POST_DATA

          public static final java.lang.String ELM_POST_DATA

      Element tag name for the postData Element
      See Also:
        Constant Field Values

    - #### ELM_PRE_WHOIS

          public static final java.lang.String ELM_PRE_WHOIS

      Deprecated. Use `ELM_PRE_DATA`
      Element tag name for the preWhois element
      See Also:
        Constant Field Values

    - #### ELM_POST_WHOIS

          public static final java.lang.String ELM_POST_WHOIS

      Deprecated. Use `ELM_POST_DATA`
      Element tag name for the postWhois Element
      See Also:
        Constant Field Values

    - #### ELM_DEL_TIME

          public static final java.lang.String ELM_DEL_TIME

      Element tag name for the delTime element
      See Also:
        Constant Field Values

    - #### ELM_RES_TIME

          public static final java.lang.String ELM_RES_TIME

      Element tag name for the resTime element
      See Also:
        Constant Field Values

    - #### ELM_OTHER

          public static final java.lang.String ELM_OTHER

      Element tag name for the other element
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRgpExtReport

          public EPPRgpExtReport()

      Instantiate a new instance of the EPPCodecComponent EPPRgpExtReport

    - #### EPPRgpExtReport

          public EPPRgpExtReport(java.lang.String aPreData,
                                 java.lang.String aPostData,
                                 java.util.Date aDeleteTime,
                                 java.util.Date aRestoreTime,
                                 EPPRgpExtReportText aRestoreReason,
                                 EPPRgpExtReportText aStatement1)

      Creates `EPPRgpExtReport` with required attributes.
      Parameters:
        `aPreData` - Pre data / whois
        `aPostData` - Post data / whois
        `aDeleteTime` - Deletion time
        `aRestoreTime` - Restore time
        `aRestoreReason` - Restore reason
        `aStatement1` - Statement

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Attach all data to the DOM Document passed in.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Implements a deep `EPPRgpExtReport/code> compare.`
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRgpExtReport` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRgpExtReport`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRgpExtReport`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getPreWhois

          public java.lang.String getPreWhois()

      Deprecated. Use `getPreData()`
      Gets the preWhois value
      Returns:
        the preWhois value

    - #### setPreWhois

          public void setPreWhois(java.lang.String preWhois)

      Deprecated. Use `setPreWhois(String)`
      Set the preWhois value
      Parameters:
        `preWhois` - the new preWhois value

    - #### getPreData

          public java.lang.String getPreData()

      Gets the preWhois value
      Returns:
        the preWhois value

    - #### setPreData

          public void setPreData(java.lang.String aPreData)

      Set the preWhois value
      Parameters:
        `aPreData` - the new preWhois value

    - #### getPostWhois

          public java.lang.String getPostWhois()

      Deprecated. Use `getPostData()`
      get the postWhois value
      Returns:
        the postWhois value

    - #### setPostWhois

          public void setPostWhois(java.lang.String postWhois)

      Deprecated. Use `setPostData(String)`
      Set the postWhois value
      Parameters:
        `postWhois` - The new postWhois value

    - #### getPostData

          public java.lang.String getPostData()

      get the postData value
      Returns:
        the postData value

    - #### setPostData

          public void setPostData(java.lang.String aPostData)

      Set the postWhois value
      Parameters:
        `aPostData` - The new postWhois value

    - #### getDeleteTime

          public java.util.Date getDeleteTime()

      Get the deleteTime value
      Returns:
        the deleteTime value

    - #### setDeleteTime

          public void setDeleteTime(java.util.Date deleteTime)

      Set the deleteTime value
      Parameters:
        `deleteTime` - the new deleteTime value

    - #### getRestoreTime

          public java.util.Date getRestoreTime()

      Get the restoreTime value
      Returns:
        the restoreTime value

    - #### setRestoreTime

          public void setRestoreTime(java.util.Date restoreTime)

      Set the restoreTime value
      Parameters:
        `restoreTime` - the new restoreTime value

    - #### getStatement1

          public EPPRgpExtReportText getStatement1()

      get the statement1 value
      Returns:
        the statement1 value

    - #### setStatement1

          public void setStatement1(EPPRgpExtReportText statement1)

      Set the statement1 value
      Parameters:
        `statement1` - the new statement1 value

    - #### getStatement2

          public EPPRgpExtReportText getStatement2()

      get the statement2 value
      Returns:
        the statement2 value

    - #### setStatement2

          public void setStatement2(EPPRgpExtReportText statement2)

      Set the statement 2 value.
      Parameters:
        `statement2` - The new statement2 value

    - #### getRestoreReason

          public EPPRgpExtReportText getRestoreReason()

      Get the restoreReason value
      Returns:
        the current restoreReason value

    - #### setRestoreReason

          public void setRestoreReason(EPPRgpExtReportText restoreReason)

      Set the restoreReason value
      Parameters:
        `restoreReason` - the new restoreReason Value

    - #### getOther

          public java.lang.String getOther()

      Get the other value (optional)
      Returns:
        the other value

    - #### setOther

          public void setOther(java.lang.String other)

      Set the other value on this instance
      Parameters:
        `other` - the new other value

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.